org.jCharts.chartData

## Class AxisDataSeries

- java.lang.Object
- - org.jCharts.chartData.AxisDataSeries

All Implemented Interfaces:
  Serializable, IAxisDataSeries, IData, HTMLTestable

Direct Known Subclasses:
  DataSeries, ScatterPlotDataSeries

    public abstract class AxisDataSeries
    extends Object
    implements IAxisDataSeries, HTMLTestable

Collection of all IAxisChartDataSets to display in an AxisChart

See Also:
  Serialized Form

### Field Summary

Fields
`private String` `chartTitle`
`protected HashMap` `dataSets`
`private int` `sizeOfEachDataSet`
`protected int` `totalNumberOfDataSets`
`private String` `xAxisTitle`
`private String` `yAxisTitle`

### Constructor Summary

Constructors
Constructor and Description
`AxisDataSeries(String xAxisTitle, String yAxisTitle, String chartTitle)` Constructor

### Method Summary

Methods
`void` `addIAxisPlotDataSet(IAxisPlotDataSet iAxisPlotDataSet)` Adds the passed IAxisPlotDataSet to the series
`String` `getChartTitle()` Returns the chart title.
`IAxisPlotDataSet` `getIAxisPlotDataSet(ChartType chartType)` Returns the IAxisPlotDataSet for the passed chart type constant.
`Iterator` `getIAxisPlotDataSetIterator()` Returns an Iterator over a List of IAxisPlotDataSet Objects
`int` `getSizeOfEachDataSet()` Returns number of elements in each data set dimension, so i can validate a that all IAxisPlotDataSets on a ComboChart have the same number of elements, as well as the number of Axis Labels equal the number of data elements other charts.
`int` `getTotalNumberOfDataSets()` Returns the total number data dimensions in all of the IAxisChartDataSets contained in this collection.
`String` `getXAxisTitle()` Returns the x-axis title
`String` `getYAxisTitle()` Returns the y-axis title
`int` `size()` Returns the number of IAxisPlotDataSet Objects in this series
`void` `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.
`void` `validate()` Validates the DataSeries implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### chartTitle

    private String chartTitle

#### xAxisTitle

    private String xAxisTitle

#### yAxisTitle

    private String yAxisTitle

#### dataSets

    protected HashMap dataSets

#### totalNumberOfDataSets

    protected int totalNumberOfDataSets

#### sizeOfEachDataSet

    private int sizeOfEachDataSet

### Constructor Detail

#### AxisDataSeries

    public AxisDataSeries(String xAxisTitle,
                  String yAxisTitle,
                  String chartTitle)

Constructor

Parameters:
  `xAxisTitle` - if this is NULL, no title will be displayed
  `yAxisTitle` - if this is NULL, no title will be displayed
  `chartTitle` - if this is NULL, no title will be displayed

### Method Detail

#### getXAxisTitle

    public String getXAxisTitle()

Returns the x-axis title

Specified by:
  `getXAxisTitle` in interface `IAxisDataSeries`
Returns:
  String

#### getYAxisTitle

    public String getYAxisTitle()

Returns the y-axis title

Specified by:
  `getYAxisTitle` in interface `IAxisDataSeries`
Returns:
  String

#### getChartTitle

    public String getChartTitle()

Returns the chart title.

Specified by:
  `getChartTitle` in interface `IAxisDataSeries`
Returns:
  String the chart title. If this returns NULL, no title will be displayed.

#### getIAxisPlotDataSet

    public IAxisPlotDataSet getIAxisPlotDataSet(ChartType chartType)

Returns the IAxisPlotDataSet for the passed chart type constant. Will return NULL if if no data set exists for the passed type.

Specified by:
  `getIAxisPlotDataSet` in interface `IAxisDataSeries`
Parameters:
  `chartType` -
Returns:
  IAxisPlotDataSet

#### getIAxisPlotDataSetIterator

    public Iterator getIAxisPlotDataSetIterator()

Returns an Iterator over a List of IAxisPlotDataSet Objects

Specified by:
  `getIAxisPlotDataSetIterator` in interface `IAxisDataSeries`
Returns:
  Iterator over a List of IAxisPlotDataSet Objects

#### getTotalNumberOfDataSets

    public int getTotalNumberOfDataSets()

Returns the total number data dimensions in all of the IAxisChartDataSets contained in this collection. For example, if this contains two IAxisChartDataSets and each one contains 3 dimensions ( 3 lines and 3 sets of points ), this should return six. This provides a means to avoid looping the contents of the series each time i need the value.

Specified by:
  `getTotalNumberOfDataSets` in interface `IAxisDataSeries`
Returns:
  int

#### addIAxisPlotDataSet

    public void addIAxisPlotDataSet(IAxisPlotDataSet iAxisPlotDataSet)

Adds the passed IAxisPlotDataSet to the series

Specified by:
  `addIAxisPlotDataSet` in interface `IAxisDataSeries`
Parameters:
  `iAxisPlotDataSet` -

#### validate

    public void validate()
                  throws ChartDataException,
                         PropertyException

Description copied from interface: `IAxisDataSeries`
Validates the DataSeries implementation. This will only get called if the ChartProperties flag to validate is true.

Specified by:
  `validate` in interface `IAxisDataSeries`
Throws:
  `ChartDataException`
  `PropertyException`
See Also:
  `ChartProperties.setValidate( boolean )`

#### getSizeOfEachDataSet

    public int getSizeOfEachDataSet()

Returns number of elements in each data set dimension, so i can validate a that all IAxisPlotDataSets on a ComboChart have the same number of elements, as well as the number of Axis Labels equal the number of data elements other charts.

Returns:
  int

#### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

Enables the testing routines to display the contents of this Object.

Specified by:
  `toHTML` in interface `HTMLTestable`
Parameters:
  `htmlGenerator` -

#### size

    public int size()

Returns the number of IAxisPlotDataSet Objects in this series

Specified by:
  `size` in interface `IAxisDataSeries`
Returns:
  int